List all Plants
GET
/plants
Returns a list of plants. By default, all plants are returned, sorted by code ascending.
Authorizations
Bearer
JWT Authorization header using the Bearer scheme.
TypeHTTP (bearer)
Parameters
Header Parameters
x-api-version
Typestring
Default
"1.0"Query Parameters
code
Filter by code (exact)
Typestring
sort
Sorting property
Typestring
Valid values
"code""name"Default
"code"dir
The direction of sorting
Typestring
Valid values
"asc""desc"Default
"asc"page
The page number of the results to fetch
Typeinteger
Example
1Format
"int64"Default
1size
Maximum number of items returned in a single response (max 100)
Typeinteger
Examples
102050Format
"int64"Default
10Responses
OK
application/json
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"isLicenseValid": true
}
],
"pagination": {
"total": 100,
"pages": 10
}
}